Bug 804560 - [ovirt-engine-core] Special characters should not be allowed in snapshot names.
[ovirt-engine-core] Special characters should not be allowed in snapshot names.
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.4
Assigned To: lpeer
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 05:23 EDT by Kiril Nesenko
Modified: 2016-02-10 11:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 02:33:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.39 MB, application/x-bzip)
2012-03-19 05:23 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-03-19 05:23:10 EDT
Created attachment 571068 [details]
logs

Description of problem:
It should be impossible to create a snapshot name with special characters.

Version-Release number of selected component (if applicable):
ovirt-engine-backend-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Try to create a snapshot with special characters.
2.
3.
  
Actual results:
It should be impossible to create a snapshot name with special characters.

Expected results:
 Special characters should not be allowed in snapshot names.

Additional info:
*see the attachment
Comment 1 Itamar Heim 2012-12-12 02:33:31 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.